<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Contracts\Encryption\DecryptException;
use Illuminate\Support\Facades\Crypt;
use App\Models\RegistoCampoDinamico;
use Illuminate\Support\Facades\Auth;

class PesquiDigitalController extends Controller
{


    public function Pesquisar_por_clientes()
    {
        return view('usuarios.funcionarios.digitalizacao.pesquisa.geral_serie_doc.choose_cliente');
    }
    public function Pesquisar_por_clientes2()
    {
        return view('usuarios.funcionarios.digitalizacao.pesquisa.por_cliente.classes_docs_cascata');
    }
       public function Pesquisar_classe_documental()
    {

        return view('usuarios.funcionarios.digitalizacao.pesquisa.por_cliente.classes_docs');
    }

    public function geral()

    {


        return view('usuarios.funcionarios.digitalizacao.pesquisa.geral_docs.pesquisa_geral');
    }

    public function avancada()

    {

        return view('usuarios.funcionarios.digitalizacao.pesquisa.avancada.avancada_pesquisa');
    }

      public function documento()

    {

        return view('usuarios.funcionarios.digitalizacao.pesquisa.docs.documentos');
    }


    //PEsquisa Especifica
     public function cascata(Request $request)
    {

        $meuid=$request->solicitacao_id;
        $meu_id_decrypted="0";
            $meuid=$request->solicitacao_id;
            try {
                $meu_id_decrypted = Crypt::decryptString($meuid);
            } catch (DecryptException $e) {
                return back();
            }

            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$meu_id_decrypted)
                                ->select('parametrodocumentals.*')->distinct()->get();
        return view('usuarios.funcionarios.digitalizacao.pesquisa.cascata.cascata_index1',['id_cliente'=>$meu_id_decrypted,'dados'=>$dados,
                                                                                            'meuidEncript'=>$meuid]);
    }
    //c a s c a t a     UPLOAD
    public function cacastaUpload(Request $request)
    {

       //dd("piano");
        $meu_id_decrypted=$request->subserie;

            $data=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                        ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                        ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                        ->where('subparametrodocumentals.id',$meu_id_decrypted)
                        ->where('colunascolunas.deleted_at',null)
                        ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();


            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$request->cliente)
                                ->select('parametrodocumentals.*')->distinct()->get();

                                $dados_regsitros=RegistoCampoDinamico::where('subserie_id',$meu_id_decrypted)->get();


        return view('usuarios.funcionarios.digitalizacao.pesquisa.cascata.cascata_upload',['id_cliente'=>$request->cliente,'dados'=>$dados,'dados_regsitros'=>$dados_regsitros,
                                                                                            'subParametro_id'=>$meu_id_decrypted,'data'=>$data]);


    }

    public function dadosclicados_pesquisa2(Request $request)
    {
        //dd("piano");
        $meu_id_decrypted=$request->subserie;

            $minhaSerie_clicada=\App\Models\SubParametroDocumental::where('subparametrodocumentals.id',$meu_id_decrypted)->first();

            $data=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                        ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                        ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                        ->where('subparametrodocumentals.id',$meu_id_decrypted)
                        ->where('colunascolunas.deleted_at',null)
                        ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();


            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$request->cliente)
                                ->select('parametrodocumentals.*')->distinct()->get();

                                $dados_regsitros=RegistoCampoDinamico::where('subserie_id',$meu_id_decrypted)->get();
                                $primeira_foto=RegistoCampoDinamico::where('subserie_id',$meu_id_decrypted)->select('ficheiroguardado')->first();

        return view('usuarios.funcionarios.digitalizacao.pesquisa.geral_serie_doc.pesquisa_dois',['id_cliente'=>$request->cliente,'dados'=>$dados,'dados_regsitros'=>$dados_regsitros,
                                                                                            'subParametro_id'=>$meu_id_decrypted,'data'=>$data,'primeira_foto'=>$primeira_foto,'minhaSerie_clicada'=>$minhaSerie_clicada]);

    }


    public function cacastaUploadRecursivo(Request $request)
    {

       //dd($request->all());
        $meu_id_decrypted=$request->subserie;

            $data=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                        ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                        ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                        ->where('subparametrodocumentals.id',$meu_id_decrypted)
                        ->where('colunascolunas.deleted_at',null)
                        ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();


            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$request->cliente)
                                ->select('parametrodocumentals.*')->distinct()->get();

                                $dados_regsitros=RegistoCampoDinamico::where('subserie_id',$meu_id_decrypted)->get();


        return view('usuarios.funcionarios.digitalizacao.pesquisa.cascata.cascata_upload',['id_cliente'=>$request->cliente,'dados'=>$dados,'dados_regsitros'=>$dados_regsitros,
                                                                                            'subParametro_id'=>$meu_id_decrypted,'data'=>$data]);


    }
    //Pesquisa geral dos doc---
    public function cascata2(Request $request)
    {
        $meuid=$request->solicitacao_id;
        $meu_id_decrypted="0";
            $meuid=$request->solicitacao_id;
            try {
                $meu_id_decrypted = Crypt::decryptString($meuid);
            } catch (DecryptException $e) {
                return back();
            }

            $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$meu_id_decrypted)
                                ->select('parametrodocumentals.*')->distinct()->get();
        return view('usuarios.funcionarios.digitalizacao.pesquisa.geral_serie_doc.pesquisa',['id_cliente'=>$meu_id_decrypted,'dados'=>$dados,
                                                                                            'meuidEncript'=>$meuid]);
    }



    public function dadoscascata2()
    {   $meudados="";
        $seriedoc=['ab','dossier','checks'];
        for ($i=0;$i<5;$i++) {
            $meudados+= "<option value='" . $i . "'>" . $seriedoc[$i] . "</option>";

        }

        return $meudados;
    }


    private function aleatorio()
    {   $dois=rand(10,100);
        return rand(0,1000)+1-$dois;
    }



    public function recursivo($id,$idpai)
     {
       $meusub_parametro3=\App\Models\SubParametroDocumental::where('parametrodocumental_id',$idpai)
                                                              ->where('id_recursivo',$id)->get();

              if( ! ($meusub_parametro3->isEmpty())  )
                {
                    foreach($meusub_parametro3 as  $subdivi)
                     {
                        $aletor=$this->aleatorio();
                        $id=$subdivi->id;
                         echo "<ul><li  data-jstree='\"type\":\"html\"}'><span class=\"aiconsub".$aletor."\" onclick=\"abrirsubserie_subserie(this)\">".$subdivi->subseriedoc."</span><input value=\"{{$subdivi->id}}\" id=\"{{$subdivi->subseriedoc}}\" hidden>";

                              $minha_class=new \App\Http\Controllers\PesquiDigitalController();


                              //<!----Campos dinamicos Buscarr------>

                              $meucamposDinamicos=\App\Models\ColunasColuna::join('subparametrodocumentals','subparametrodocumentals.id','colunascolunas.subserie_id')
                                                                            ->where('colunascolunas.subserie_id',$subdivi->id)
                                                                            ->select('colunascolunas.*')->get();

                                            //<!----Campos dinamicos------------>
                                  if(!($meucamposDinamicos->isEmpty())){
                                        echo "<ul>";
                                            foreach($meucamposDinamicos as $meucamposDinamico){
                                                $dois2=(rand(0,2000)+rand(200,1000)-10);
                                                echo "<li data-jstree='\"type\":\"html\"}'><span class=\"aiconsub".$dois2."\" onclick=\"abrirsubserie_subserie('this')\">$meucamposDinamico->campo_dinamico</span>
                                                <input value=\"$meucamposDinamico->id\" hidden id=\"$meucamposDinamico->campo_dinamico\"></li>";
                                            }
                                        echo "</ul>";
                                    }

                               $minha_classe_as=$minha_class->recursivo($id,$idpai);
                               echo  "</li></ul>";
                    }
                }
    }

   public function recursivoExporArvore($idPai)
    {
        $meuVcetorArvore= array();

                $meu_acesso_permitidos=\App\Models\AcessoDigitalizacao::where('parametro_id',$idPai)
                                                                        ->where('empresa',"CLIENTE")
                                                                        ->where('funcionario_user',Auth::id())->first();

                if(empty($meu_acesso_permitidos))
                {
                    //trocar de Pai
                   // dd("sem nada");
                    return false;

                }else
                {
                    //verifica se pode ver toda Arvore ou meio dela
                    //dd($meu_acesso_permitidos->subparametro_id);
                    if(empty($meu_acesso_permitidos->subparametro_id))
                    {
                        //veja toda arvores
                       // dd("god");
                        return true;

                    }
                    //só pode ver uma parte da arvores
                    else{
                        $id_subaparemtro=\App\Models\SubParametroDocumental::where('id',$meu_acesso_permitidos->subparametro_id)
                                                                           ->first();
                            if($id_subaparemtro)
                            {

                             return true;
                            }

                    }
                }

    }
        
    
    public function buscar_seriedoc(Request $request)
    {

    }

    public function buscar_Classedoc(Request $request)
    {
        //dd($request->all());
        $id_last_vet=[];
        $meusub_parametro3=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                              ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                                                              ->where('subparametrodocumentals.id',$request->subserie_id)
                                                              ->where('colunascolunas.deleted_at',null)
                                                              ->select('colunascolunas.*')->get();
                                                              //dd($meusub_parametro3);
        if(! ($meusub_parametro3->isEmpty()) )
        {
            foreach($meusub_parametro3 as $meusub_parametros3)
            {

                array_push($id_last_vet,$meusub_parametros3->campo_dinamico);
            }

            return $id_last_vet;
        }

        return -1;
    }


    public  function buscar_subseriedoc_edit(Request $request)
    {
         //dd($request->all());
         $id_last_vet=[];
         $meusub_parametro3=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                               ->where('subparametrodocumentals.id_recursivo',$request->subserie_id)
                                                               ->where('subparametrodocumentals.deleted_at',null)
                                                               ->select('subparametrodocumentals.*')->get();
                                                               //dd($meusub_parametro3);
         if(! ($meusub_parametro3->isEmpty()) )
         {
             foreach($meusub_parametro3 as $meusub_parametros3)
             {

                 array_push($id_last_vet,$meusub_parametros3->subseriedoc);
                // array_push($id_last_vet,$meusub_parametros3->id);
             }

             return $id_last_vet;
         }

         return -1;

    }



    public  function buscar_seriedoc_edit(Request $request)
    {
         //dd($request->all());
         $id_last_vet=[];
         $meusub_parametro3=\App\Models\ParametroDocumental::join('subparametrodocumentals','subparametrodocumentals.parametrodocumental_id','parametrodocumentals.id')
                                                               ->where('parametrodocumentals.id',$request->subserie_id)
                                                               ->where('subparametrodocumentals.deleted_at',null)
                                                               ->where('subparametrodocumentals.id_recursivo',null)
                                                               ->select('subparametrodocumentals.*')->get();
                                                               //dd($meusub_parametro3);
         if(! ($meusub_parametro3->isEmpty()) )
         {
             foreach($meusub_parametro3 as $meusub_parametros3)
             {

                 array_push($id_last_vet,$meusub_parametros3->subseriedoc);
                // array_push($id_last_vet,$meusub_parametros3->id);
             }

             return $id_last_vet;
         }

         return -1;

    }



    //Buscra sub_sub_edit
    //T R A Z E R   D A D O S    V I A     C L I C K  S    P R E E N C H E  R       T A B E L A
    public function Trazer_dados_clicados_serieDocumtal(Request $request)
    {

        //dd($request->all());
        $tabela_imprimir="";
        $dados=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                                                ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                                                ->where('subparametrodocumentals.id',$request->subserie_id)
                                                ->where('colunascolunas.deleted_at',null)
                                                ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();

        if(! empty($dados) )
        {
            //dd($dados);

            $dados_regsitros=RegistoCampoDinamico::where('subserie_id',$request->subserie_id)->get();


            $tabela_imprimir=("<br> <br>".
                            "<table class=\"table table-striped table-bordered table-hover dataTables-example\" >".
                                "<thead><tr>");

                    //$table_imprimir+="<th>Nome Ficheiro</th>";
                                foreach($dados as $dado){
                                    $tabela_imprimir.="<th>".$dado->campo_dinamico."</th>";
                                    }

            $tabela_imprimir.=("<th>Ver Ficheiro</th></tr></thead><tbody><tr>");
                                        $i=1;
                                        foreach($dados_regsitros as $dados_regsitro){

                                            if($i>=count($dados))
                                            {
                                                $ulr="";
                                                $url=asset('storage/'.$dados_regsitro->ficheiroguardado);
                                                $tabela_imprimir.="<td id='".$dados_regsitro->id."'>".$dados_regsitro->registrocampodinamico."</td>";
                                               $tabela_imprimir.="<td id=\"".$dados_regsitro->ficheiroguardado."\"><a class=\"btn btn-primary\" target=\"_blank\" href=\"".asset('storage/'.$dados_regsitro->ficheiroguardado)."\" ><i class=\"fa fa-eye 4x\"></i>Abrir</a> <a class=\"btn btn-success link\" href=\"#\" onclick=\"pdfopen('asa')\"><input value=\"".asset('storage/'.$dados_regsitro->ficheiroguardado)."\" class=\"asa\" hidden>  <i class=\"fa fa-eye 4x\"></i>View</a>    </td> ";
                                               //$tabela_imprimir.="<td><button class='btn btn-primary' onclick=''>";
                                                $tabela_imprimir.=("</tr><tr>");
                                                $i=1;
                                            }else{

                                                $tabela_imprimir.="<td id=\"".$dados_regsitro->id."\">".$dados_regsitro->registrocampodinamico."</td>";
                                                //$tabela_imprimir.="<td id='".$dados_regsitro->id."'>".$dados_regsitro->ficheiroguardado."</td>";
                                                $i++;
                                            }
                                        }

            $tabela_imprimir.=("</tr></tbody></table>");

            echo  ($tabela_imprimir);
            return;
        }

    }

    public function get_serieDocumtal2(Request $request)
    {

        //dd($request->all());
        $tabela_imprimir="";
        $dados=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                                                ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                                                ->where('subparametrodocumentals.id',$request->subserie_id)
                                                ->where('colunascolunas.deleted_at',null)
                                                ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();

                        if(empty($dados))
                            return back();
            return view('usuarios.funcionarios.digitalizacao.pesquisa.data_click.views_data_click',['dados'=>$dados]);

    }



    // R   E  F  R  E   S   H         A  C  T  U  A L  I  Z  A  R   A  P   A  G  I   N    A
    public function Trazer_dados_clicados_refresh(Request $request)
    {

        //dd($request->all());
        $tabela_imprimir="";
        $dados=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                                                ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                                                ->where('subparametrodocumentals.id',$request->subserie_id)
                                                ->where('colunascolunas.deleted_at',null)
                                                ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();

                        if(empty($dados))
                            return back();
            return view('usuarios.funcionarios.digitalizacao.pesquisa.data_click.views_data_click',['dados'=>$dados]);

    }
    // 2 R   E  F  R  E   S   H         A  C  T  U  A L  I  Z  A  R   A  P   A  G  I   N    A

    //T R A Z E R   D A D O S    V I A     C L I C K  S    P R E E N C H E  R       T A B E L A
    public function trazer_dados_form_serieDocumtal()
    {

        $tabela_imprimir="";
        $colunas_colunas_nativo_cp=[];$vector_cd=[];$id_subclasse=0;
        $colunas_colunas_nativo_id=[];$colunas_colunas_nativo_cp=[];
        if ( isset($_GET['vector_cd']) || $_GET['id_subclasse'])
        {
            $vector_cd=$_GET['vector_cd'];
            $id_subclasse=$_GET['id_subclasse'];

            //dd($vector_cd);

            if($id_subclasse<=0)
            {
                $tabela_imprimir=-1;
                echo $tabela_imprimir;
                return;
            }



                    $dados=\App\Models\SubParametroDocumental::join('parametrodocumentals','parametrodocumentals.id','subparametrodocumentals.parametrodocumental_id')
                                                             ->join('clientes','clientes.id','parametrodocumentals.cliente_id')
                                                             ->join('colunascolunas','colunascolunas.subserie_id','subparametrodocumentals.id')
                                                             ->where('subparametrodocumentals.id',$id_subclasse)
                                                             ->where('colunascolunas.deleted_at',null)
                                                             ->select('colunascolunas.*','subparametrodocumentals.subseriedoc')->get();

                if(!$dados->isEmpty() )
                {

                    foreach($dados as $colunas_colunas)
                    {
                        array_push($colunas_colunas_nativo_id,$colunas_colunas->id);
                        array_push($colunas_colunas_nativo_cp,$colunas_colunas->campo_dinamico);
                    }



                            //dd($dados_regsitros);
                            // C O N ST R U I R     A S    C O  L U N A S    C A MP O    D I N Â M I C O
                            $tabela_imprimir=("<br> <br>".
                            "<table class=\"table table-striped table-bordered table-hover dataTables-example\" >".
                                "<thead><tr>");
                                    foreach($dados as $dado){
                                        $tabela_imprimir.="<th>".$dado->campo_dinamico."</th>";
                                        }
                                $tabela_imprimir.=("<th>Ver Ficheiro</th></tr></thead><tbody><tr>");
                            // E N D    C O N S T R U I R   C  O  L  U  N   A  S
                                    //Dados
                                    $dados_regsitros=RegistoCampoDinamico::where('subserie_id',$id_subclasse)->get();
                                    $i=1;
                                    $tabelaTemp="<tr>";
                                    $vector_registros=array();
                                    $vector_registrosOriginal=array();
                                    $passa_ate_nextRegistro=false;
                                    $existe_um_registro_igual=false;
                                    //dd($vector_cd[0]);
                                    foreach($dados_regsitros as $dados_regsitro)
                                    {
                                        $valor=$vector_cd[0];
                                        //dd($dados_regsitro->registrocampodinamico==="".$valor);
                                        //echo "xee para";
                                        //echo "  ".$i."--".$dados_regsitro->registrocampodinamico;
                                       //Q U A N DO ENTRA NESTE    M O DO  É PRA PASSA EM TODO VECTOR DO CAMPO DINAMICO EXISTENTE
                                            if($passa_ate_nextRegistro)
                                            {

                                                $pula=count($colunas_colunas_nativo_cp)+1-$i;
                                                if($pula>=1)
                                                {
                                                    //dd("Hayy");
                                                    $passa_ate_nextRegistro=true;
                                                    $i++;
                                                    continue;
                                                }
                                                $tabelaTemp="";
                                                $passa_ate_nextRegistro=false;
                                                // dd($i);
                                                $i=1;
                                            }

                                            //Quando termina a interação de um campop--regitro
                                            if($i<=count($colunas_colunas_nativo_cp)-1)
                                            {

                                                if(empty($vector_cd[$i-1]))
                                                {
                                                    //echo "epty".$i;
                                                    $tabelaTemp.="<td id=\"".$dados_regsitro->id."\">".$dados_regsitro->registrocampodinamico."</td>";
                                                    array_push($vector_registros,$dados_regsitro->registrocampodinamico);
                                                    $i++;
                                                    $aceiteLinha=false;
                                                    //array_push($vector_registros,$dados_regsitro->registrocampodinamico);

                                                }else{
                                                    //echo "nada igual..".$i;

                                                    if($vector_cd[$i-1]===$dados_regsitro->registrocampodinamico)
                                                        {
                                                            //dd("a".$i);
                                                       // echo "igual".$vector_cd[$i-1]." = ".$dados_regsitro->registrocampodinamico."--- ".$i."\n";
                                                        $tabelaTemp.="<td id='".$dados_regsitro->id."'>".$dados_regsitro->registrocampodinamico."</td>";
                                                        array_push($vector_registros,$dados_regsitro->registrocampodinamico);
                                                        $i++;
                                                        $existe_um_registro_igual=true;
                                                        }
                                                    else
                                                        {
                                                            if($vector_cd[$i-1]!=$dados_regsitro->registrocampodinamico)
                                                            {
                                                                $tabelaTemp.="<td id=\"".$dados_regsitro->id."\">".$dados_regsitro->registrocampodinamico."</td>";
                                                                //echo "dif".$vector_cd[$i-1]." = ".$dados_regsitro->registrocampodinamico."--- ".$i."\n";
                                                                //Quando tem valor e nao é igual

                                                            }else
                                                            {
                                                                if($tabelaTemp==="<tr>")
                                                                    {
                                                                        $passa_ate_nextRegistro=true;
                                                                    }
                                                                else
                                                                {
                                                                    $tabelaTemp="";
                                                                }
                                                            }
                                                            $i++;
                                                            $aceiteLinha=false;

                                                        }

                                                }

                                            }
                                            else
                                                if($i>=count($colunas_colunas_nativo_cp))
                                                {

                                                    if($vector_cd[$i-1]===$dados_regsitro->registrocampodinamico)
                                                        {

                                                        //$tabelaTemp.="<td id='".$dados_regsitro->id."'>".$dados_regsitro->registrocampodinamico."</td>";
                                                       // array_push($vector_registros,$dados_regsitro->registrocampodinamico);
                                                        //$i++;
                                                        $existe_um_registro_igual=true;
                                                        }

                                                    // Apenas GUarda Quando tiver um campo dinamico com dado igual ao posto na pesquisa
                                                    if($existe_um_registro_igual==true)
                                                    {
                                                            //Adicionar a última Posição do vector
                                                        $tabelaTemp.="<td id=\"".$dados_regsitro->id."\">".$dados_regsitro->registrocampodinamico."</td>";
                                                       // $tabelaTemp.="<td id=\"".$dados_regsitro->ficheiroguardado."\"><a class=\"btn btn-primary\" target=\"_blank\" href=\"".asset('storage/'.$dados_regsitro->ficheiroguardado)."\" ><i class=\"fa fa-eye 4x\"></i>Abrir</a>   <a class=\"btn btn-success\" onclick=\"clikPdfOpen(".asset('storage/'.$dados_regsitro->ficheiroguardado).")\" ><i class=\"fa fa-eye 4x\"></i>View</a>    </td> ";
                                                        $tabelaTemp.=("</tr>");
                                                        $aceiteLinha=true;
                                                        $existe_um_registro_igual=false;
                                                        array_push($vector_registros,$dados_regsitro->registrocampodinamico);
                                                    }
                                                    else{
                                                        $tabelaTemp="";
                                                        $aceiteLinha=false;}

                                                        $existe_um_registro_igual=false;
                                                        $i=1;


                                                        if($aceiteLinha)
                                                        {
                                                            //dd($tabelaTemp);
                                                            $tabela_imprimir.=$tabelaTemp."<tr>";
                                                            //dd($tabelaTemp);
                                                            $tabelaTemp="";
                                                            $i=1;
                                                        }

                                                }




                                    }


                                    //dd($vector_registros);

                        $tabela_imprimir.=("</tr></tbody></table>");
                            echo json_encode($tabela_imprimir);
                        return;

                }
                $tabela_imprimir="";
                $tabela_imprimir=-1;
                return json_encode($tabela_imprimir);
                  //return;

        }
    }















}
